GDB (xrefs)

Typedefs | Functions
/tmp/gdb-8.1/gdb/addrmap.h File Reference

Go to the source code of this file.

## Typedefs
typedef int(* | addrmap_foreach_fn) (void *data, CORE_ADDR start_addr, void *obj)

## Functions
struct addrmap * | addrmap_create_mutable (struct obstack *obstack)
void | addrmap_set_empty (struct addrmap *map, CORE_ADDR start, CORE_ADDR end_inclusive, void *obj)
void * | addrmap_find (struct addrmap *map, CORE_ADDR addr)
struct addrmap * | addrmap_create_fixed (struct addrmap *original, struct obstack *obstack)
void | addrmap_relocate (struct addrmap *map, CORE_ADDR offset)
int | addrmap_foreach (struct addrmap *map, addrmap_foreach_fn fn, void *data)

## Typedef Documentation

## ◆ addrmap_foreach_fn

typedef int(* addrmap_foreach_fn) (void *data, CORE_ADDR start_addr, void *obj)

Definition at line 96 of file addrmap.h.

## Function Documentation

## ◆ addrmap_create_fixed()

struct addrmap* addrmap_create_fixed | ( | struct addrmap * | original,
|  | struct obstack * | obstack
| ) |  |

Definition at line 66 of file addrmap.c.

References addrmap_funcs::create_fixed, and addrmap::funcs.

Referenced by create_addrmap_from_aranges(), create_addrmap_from_index(), dwarf2_build_psymtabs_hard(), and make_blockvector().

## ◆ addrmap_create_mutable()

struct addrmap* addrmap_create_mutable | ( | struct obstack * | obstack | ) |

Definition at line 569 of file addrmap.c.

References addrmap_mutable::addrmap, addrmap_mutable_funcs, addrmap_mutable::free_nodes, addrmap::funcs, addrmap_mutable::obstack, splay_compare_CORE_ADDR_ptr(), splay_obstack_alloc(), splay_obstack_free(), and addrmap_mutable::tree.

Referenced by create_addrmap_from_aranges(), create_addrmap_from_index(), dwarf2_build_psymtabs_hard(), and record_block_range().

## ◆ addrmap_find()

void* addrmap_find | ( | struct addrmap * | map,
|  | CORE_ADDR | addr
| ) |  |

Definition at line 59 of file addrmap.c.

References addrmap_funcs::find, and addrmap::funcs.

Referenced by block_starting_point_at(), dw2_find_pc_sect_compunit_symtab(), find_block_in_blockvector(), and find_pc_sect_psymtab().

## ◆ addrmap_foreach()

int addrmap_foreach | ( | struct addrmap * | map,
|  | addrmap_foreach_fn | fn,
|  | void * | data
| ) |  |

Definition at line 82 of file addrmap.c.

References addrmap_funcs::foreach, and addrmap::funcs.

Referenced by dump_psymtab_addrmap(), and write_address_map().

## ◆ addrmap_relocate()

void addrmap_relocate | ( | struct addrmap * | map,
|  | CORE_ADDR | offset
| ) |  |

Definition at line 75 of file addrmap.c.

References addrmap::funcs, offset, and addrmap_funcs::relocate.

Referenced by objfile_relocate1().

## ◆ addrmap_set_empty()

void addrmap_set_empty | ( | struct addrmap * | map,
|  | CORE_ADDR | start,
|  | CORE_ADDR | end_inclusive,
|  | void * | obj
| ) |  |

Definition at line 50 of file addrmap.c.

References addrmap::funcs, and addrmap_funcs::set_empty.

Referenced by add_partial_subprogram(), create_addrmap_from_aranges(), create_addrmap_from_index(), dwarf2_ranges_read(), process_psymtab_comp_unit_reader(), and record_block_range().